name: Build and Push Docker Images

on:
  push:
    branches:
      - master

jobs:
  build:
    runs-on: ubuntu-latest
    env:
      IMAGE_VERSION: "0.9.0"  # тут можно задать фиксированную версию или подставить, например, дату/хеш

    steps:
      - name: Checkout code
        uses: actions/checkout@v3

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v2

      - name: Log in to Gitea Registry
        run: echo "${{ secrets.REGISTRY_PASSWORD }}" | docker login git.udochudo.ru -u ${{ secrets.REGISTRY_USERNAME }} --password-stdin

      - name: Build and push Flask image
        run: |
          docker build --target flask -t git.udochudo.ru/udochudo/telezab-flask:${IMAGE_VERSION} .
          docker push git.udochudo.ru/udochudo/telezab-flask:${IMAGE_VERSION}

      - name: Build and push Telegram bot image
        run: |
          docker build --target telegram -t git.udochudo.ru/udochudo/telezab-bot:${IMAGE_VERSION} .
          docker push git.udochudo.ru/udochudo/telezab-bot:${IMAGE_VERSION}
